# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Wed Jul 28 14:53:12 2021
# ------------------------------------------------

package:
  name: astropy
  version: 4.3.post1
source:
  sha256: 1b9f976f32675ae715bd38fcfb3540fcf01f6be1d75266c39b6fb085adac9410
  url: https://pypi.io/packages/source/a/astropy/astropy-4.3.post1.tar.gz
build:
  detect_binary_files_with_prefix: false
  entry_points:
    - fits2bitmap = astropy.visualization.scripts.fits2bitmap:main
    - fitscheck = astropy.io.fits.scripts.fitscheck:main
    - fitsdiff = astropy.io.fits.scripts.fitsdiff:main
    - fitsheader = astropy.io.fits.scripts.fitsheader:main
    - fitsinfo = astropy.io.fits.scripts.fitsinfo:main
    - samp_hub = astropy.samp.hub_script:hub_script
    - volint = astropy.io.votable.volint:main
    - wcslint = astropy.wcs.wcslint:main
  number: '1'
  script: /home/conda/feedstock_root/build_artifacts/astropy_1627484032611/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_pla/bin/python
    -m pip install . -vv
  string: py38h497a2fe_1
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 1_gnu
    - binutils_impl_linux-64 2.36.1 h193b22a_2
    - binutils_linux-64 2.36 hf3e587d_33
    - gcc_impl_linux-64 9.3.0 h70c0ae5_19
    - gcc_linux-64 9.3.0 hf25ea35_33
    - kernel-headers_linux-64 2.6.32 he073ed8_14
    - ld_impl_linux-64 2.36.1 hea4e1c9_2
    - libgcc-devel_linux-64 9.3.0 h7864c58_19
    - libgcc-ng 11.1.0 hc902ee8_2
    - libgomp 11.1.0 hc902ee8_2
    - libstdcxx-ng 11.1.0 h56837e0_2
    - sysroot_linux-64 2.12 he073ed8_14
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 1_gnu
    - ca-certificates 2021.5.30 ha878542_0
    - certifi 2021.5.30 py38h578d9bd_0
    - cython 0.29.24 py38h709712a_0
    - extension-helpers 0.1 py_0
    - jinja2 3.0.1 pyhd8ed1ab_0
    - ld_impl_linux-64 2.36.1 hea4e1c9_2
    - libblas 3.9.0 10_openblas
    - libcblas 3.9.0 10_openblas
    - libffi 3.3 h58526e2_2
    - libgcc-ng 11.1.0 hc902ee8_2
    - libgfortran-ng 11.1.0 h69a702a_0
    - libgfortran5 11.1.0 h6c583b3_0
    - libgomp 11.1.0 hc902ee8_2
    - liblapack 3.9.0 10_openblas
    - libopenblas 0.3.17 pthreads_h8fe5266_1
    - libstdcxx-ng 11.1.0 h56837e0_2
    - markupsafe 2.0.1 py38h497a2fe_0
    - ncurses 6.2 h58526e2_4
    - numpy 1.17.5 py38h18fd61f_1
    - openssl 1.1.1k h7f98852_0
    - pip 21.2.1 pyhd8ed1ab_0
    - python 3.8.10 h49503c6_1_cpython
    - python_abi 3.8 2_cp38
    - readline 8.1 h46c0cb4_0
    - setuptools 49.6.0 py38h578d9bd_3
    - setuptools-scm 6.0.1 pyh44b312d_0
    - setuptools_scm 6.0.1 hd8ed1ab_0
    - sqlite 3.36.0 h9cd32fc_0
    - tk 8.6.10 h21135ba_1
    - toml 0.10.2 pyhd8ed1ab_0
    - wheel 0.36.2 pyhd3deb0d_0
    - xz 5.2.5 h516909a_1
    - zlib 1.2.11 h516909a_1010
  run:
    - importlib-metadata
    - libgcc-ng >=9.3.0
    - numpy >=1.17
    - numpy >=1.17.5,<2.0a0
    - pyerfa
    - python >=3.8,<3.9.0a0
    - python_abi 3.8.* *_cp38
    - pyyaml >=3.13
test:
  commands:
    - fits2bitmap --help
    - fitscheck --help
    - fitsdiff --help
    - fitsheader --help
    - fitsinfo --help
    - samp_hub --help
    - volint --help
    - wcslint --help
  imports:
    - astropy
  requires:
    - pytest-astropy
about:
  description: 'The Astropy Project is a community effort to develop a single package
    for

    Astronomy in Python. It contains core functionality and common tools

    needed for performing astronomy and astrophysics research with Python.

    '
  dev_url: https://github.com/astropy/astropy
  doc_url: http://docs.astropy.org/en/stable/
  home: http://www.astropy.org/
  license: BSD-3-Clause
  license_file: LICENSE.rst
  summary: Community-developed Python Library for Astronomy
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - astrofrog-conda-forge
    - bsipocz
    - mwcraig
